### File

`packages/components/layout/eui-app-v2/eui-app-header/eui-app-header-search.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-app-header-search`
imports | `FormsModule` `EUI_ICON` `EUI_BUTTON` `EUI_INPUT_TEXT` `EUI_INPUT_GROUP`
templateUrl | `./eui-app-header-search.html`
styleUrl | `./eui-app-header-search.scss`

### Index

###### Properties
cssClass
###### Methods
onSearch
###### Inputs
placeholder searchLabel
###### Outputs
searchClick
###### HostBindings
class

### Inputs

placeholder
Type : `string`
Default value : `'Type something...'`

searchLabel
Type : `string`
Default value : `'Search'`

### Outputs

searchClick
Type : `EventEmitter<string>`

### HostBindings

class
Type : `string`
Default value : `'eui-app-header-search'`

### Methods

onSearch
`onSearch()`
Returns : `void`

### Properties

cssClass
Type : `string`
Default value : `'eui-app-header-search'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""